libname x 'd:\pm naaqs\summer03';
data a; 
retain ameanle p98le;
set  x.Pmcctymax;
ameanle=.;
p98le=.;
do i=500 to 0 by -1;
if round(annmeanmax,.1) le i then ameanle=i;
end;
do i=1000 to 0 by -5;
if round(pct98high,1) le i then p98le=i;
end;
proc sort; by ameanle annmeanmax;

proc univariate noprint; var ameanle p98le;
output out=pmc pctlpre=pmcmean_ pmcp98_ pctlpts=1 to 100 by 1;
run;

data a; 
retain ameanle p98le;
set  x.Pm10ctymax;
ameanle=.;
p98le=.;
do i=500 to 0 by -1;
if round(annmeanmax,.1) le i then ameanle=i;
end;
do i=1000 to 0 by -5;
if round(pct98high,1) le i then p98le=i;
end;
proc sort; by ameanle annmeanmax;

proc univariate noprint; var ameanle p98le;
output out=pm10 pctlpre=pm10mean_ pm10p98_ pctlpts=1 to 100 by 1;
run;
data a; 
retain ameanle p98le;
set  x.Pm25ctymax;
ameanle=.;
p98le=.;
do i=500 to 0 by -1;
if round(annmeanmax,.1) le i then ameanle=i;
end;
do i=1000 to 0 by -5;
if round(pct98high,1) le i then p98le=i;
end;
proc sort; by ameanle annmeanmax;

proc univariate noprint; var ameanle p98le;
output out=pm25 pctlpre=pm25mean_ pm25p98_ pctlpts=1 to 100 by 1;
run;

data m; merge pmc pm10 pm25;
run;


proc transpose out=tran;
var pmcmean_1-pmcmean_100 pm10mean_1-pm10mean_100
pm25mean_1-pm25mean_100 pmcp98_1-pmcp98_100 pm10p98_1-pm10p98_100
pm25p98_1-pm25p98_100;
run;
data tran1;
set tran;
if substr(_name_,1,6)='pmcmea';
pmcmean=col1;
n+1;
data tran2;
set tran;
if substr(_name_,1,6)='pmcp98';
pmcp98=col1;
n+1;
data tran3;
set tran;
if substr(_name_,1,6)='pm10me';
pm10mean=col1;
n+1;
data tran4;
set tran;
if substr(_name_,1,6)='pm10p9';
pm10p98=col1;
n+1;
data tran5;
set tran;
if substr(_name_,1,6)='pm25me';
pm25mean=col1;
n+1;
data tran6;
set tran;
if substr(_name_,1,6)='pm25p9';
pm25p98=col1;
n+1;
data n; merge tran1 tran2 tran3 tran4 tran5 tran6;
by n;
lab=substr(_label_,1,23);
run;