libname x 'd:\pm naaqs\summer03';
%let parm=64101;

proc sql; create table mon as select distinct MO_ID,SI_SI_ID AS SI_ID,
PA_PARAMETER_CODE AS PARM,POC from
aqs.MONITORS where parm="&parm" order by mo_id;
proc sort; by si_id;


proc sql; create table sites as select distinct SI_ID,
cc_cn_stt_state_code as st, cc_cn_county_code as cou, 
site_id as id from aqs.sites; QUIT;
data sites2 (keep=site si_id); set sites;
site=st||cou||id;
stcou=substr(site,1,5)+0;
*if stcou in (25017 25021 25025 17031 26163 6037 27053 27123 36005 36047 36081 36085 36061
42101 42017 42045 42091 34005 34007 34015 04013 42003 49049 06085 53033 17027 17119 17133 
17163 29071 29099 29183 29189 29510);
drop stcou;

proc sort; by si_id;

data sitemon; merge mon sites; by si_id;
site=st||cou||id;
if parm ne ' ';


proc sql; create table daily as select distinct site,poc,daily_coll_date as datetime, daily_arith_mean as value,
daily_obs_cnt as obs from sitemon a, aqs.daily_summaries b where year(datepart(datetime)) in
(2000 2001 2002) and a.mo_id=b.mo_mo_id and sd_duration_code='1';
quit;

data x.p&parm.h; set daily; 
sdate=datepart(datetime);
run;