libname sdata 'd:\pm naaqs\summer03';
%let stat=max;
run;
%put ***stat=&stat***;
run;
data fine (keep=site poc annmean size stat pct95);
set sdata.Finalp88101y20002002;
stat=&stat;
size=1;
run;
proc sort; by site poc;
data fine;
set fine; by site poc;
if first.site;
int=round(annmean,.1);
if int le 6 then level='a';
else if int le 8 then level='b';
else if int le 9 then level='c';
else if int le 10 then level='d';
else if int le 11 then level='e';
else if int le 12 then level='f';
else if int le 13 then level='g';
else if int le 14 then level='h';
else if int le 15 then level='i';
else if int le 16 then level='j';
else if int le 17 then level='k';
else level='l';
run;
data coarse (keep=site annmean size int level stat pct95);
set sdata.Final_pmcy20002002;
stat=&stat;
int=round(annmean,.1);
if int le 6 then level='a';
else if int le 8 then level='b';
else if int le 10 then level='c';
else if int le 12 then level='d';
else if int le 14 then level='e';
else if int le 16 then level='f';
else level='g';
size=2;
run;
proc sql; select distinct round(int,1) as int1,count(*) from fine group by int1;
select distinct level,count(*) from fine group by level;
 select distinct round(int,1) as int1,count(*) from coarse group by int1;
select distinct level,count(*) from coarse group by level;quit;
data all; 
set fine coarse;
proc sort; by level size;
proc univariate noprint data=all;
by level size;
where size =1;
var stat;
output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=MAX mean=mmean n=n;
run;
data sdata.boxdata&stat.fine;
set uniout;
data a; set uniout;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;
proc univariate noprint data=all;
by level size;
where size =2;
var stat;
output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=MAX mean=mmean n=n;
run;
data sdata.boxdata&stat.coarse;
set uniout;
data b; set uniout;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;