libname a 'd:\pmdv'; run;
filename gsasfile 'd:\pm naaqs\summer03\PMC-map.gif';
libname x v6 'f:\user\mschmidt\saslib'; run;
goptions reset=all;

libname x 'd:\pm naaqs\summer03';

data pm (keep=monid lat long nocompqtr);
merge x.pmc_sitemon_summary x.pmc_sitemon_info; by monid;
lat=latituden; long =longitudew;
run;

data new; 
set pm;
if lat ne 0;
site=monid;
COU=SUBSTR(SITE,3,3);
stcou=substr(site,1,5);
if nocompqtr=12 then cut=1;
else if nocompqtr=8 then cut=2;
else cut=3;
run;

DATA fed akd prd hid vid;
SET new;
 d='y';
 in=1;
st=fipstate(substr(site,1,2));
latdd=lat;
londd=-1*long;
drop state;
ydec=latdd;
xdec=londd;
y=ydec*arcos(-1)/180;                   * CHANGE TO RADIANS;
x=xdec*arcos(-1)/180;

if st='AK' then output akd;
else if st='HI' then output hid;
else if st='PR' then output prd;
else if st = 'VI' then output vid;
else output fed; run;
data fe al hi pr;set maps.states;
if density le 2;
if state not in (2,15,72) then output fe;*output lower 48;
if state = 2 then output al;             *output Alaska;
if state = 15 then output hi;            *output Hawaii;
if state = 72 then output pr;             *output Puerto Rico;
data vi; set x.vi;
if density le 2;
segment=sseg;
data akp; set al akd;
data prp; set pr prd;
data hip; set hi hid;
data vip; set vi vid;
data fep; set fe fed;  
proc gproject data=akp out=alproj dupok; *project all data sets;
id state;
proc gproject data=fep out=feproj dupok;
id state;
proc gproject data=hip out=hiproj dupok;
id state;
proc gproject data=prp out=prproj dupok;
id state;
proc gproject data=vip out=viproj dupok;
id state;
data altran;set alproj;
*transform Alaska data set (subtract xmin, scale, shift);
factor=.3;
*                         (subtract ymin, scale, shift);
x=(x+.2568)*factor-.35;
y=(y+.13458)*factor-.17;    run;
data hitran;set hiproj;
*transform Hawaii data set(subtract xmin, shift);
x=x+.04399-.21;
*                         (subtract ymin, shift);
y=y+.02879-.17;
data prtran;set prproj;
*transform PR data set(subtract xmin, shift);
x=x+.02258+.07;
*                     (subtract ymin, shift);
y=y+.00525-.17;
/*data vitran;set viproj;  *transform VI data set(subtract xmin, shift);
x=(x+.0043)*6.0+.27;          *                     (subtract ymin, shift);
y=(y+.00645)*6.0-.12;
*/
data fe fed; set feproj; if d='y' then output fed; else output fe;
data ak akd; set altran; if d='y' then output akd; else output ak;
data pr prd; set prtran; if d='y' then output prd; else output pr;
data hi hid; set hitran; if d='y' then output hid; else output hi;
/*data vi vid; set vitran; if d='y' then output vid; else output vi;*/
data tmap;set ak fe pr hi; *vi;
data tmapd;set akd fed prd hid; * vid;
proc sort; by cut;

data sites;
  length function color $8 TEXT $8;
  set tmapd;
  xsys='2'; ysys='2';
size=.2;
	function='pie';
	angle=0;rotate=360;
	style='pempty';
		LINE=1; WIDTH=2;
	color='black';
output;

if cut=1 then do;
	function='pie';
	angle=0;rotate=360;
	style='psolid';
	color='red';
	output;
end;
if cut=2 then do;
	function='pie';
	angle=0;rotate=360;
	style='psolid';
	color='blue';
	output;
end;
if cut=3 then do;
	function='pie';
	angle=0;rotate=360;
	style='psolid';
	color='yellow';
	output;
end;
	function='pie';
	angle=0;rotate=360;
	style='pempty';
		LINE=1; WIDTH=2;
	color='black';
output;

pattern value=mempty;
libname x 'd:\temp';

goptions dev=gif gaccess=gsasfile;
proc sort; by descending cut;
title "Staff Paper Analyses - PM10-2.5 sites meeting completeness: Red=12 Q's, Blue=8 Q's, Yellow=4 Q's";
proc  gmap map=tmap all data=tmap;
id state;
   choro state/ nolegend coutline=black  nolegend annotate=sites;
run;
quit;
proc sql; select cut,count(*) from sites group by cut; quit;