libname sdata 'd:\pm naaqs\summer03';
%let stat=max;
run;
%put ***stat=&stat***;
run;
data fine (keep=site poc annmean stat pct95 pct98 pct99 max);
set sdata.Finalp88101y20002002;
stat=&stat;
run;
proc sort; by site poc;
data fine;
set fine; by site poc;
if first.site;
data coarse (keep=site  annmean stat pct95 pct98 pct99 max);
set sdata.Final_pmcy20002002;
stat=&stat;
run;

GOPTIONS reset=all dev=gif
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol1 v=plus i=none c=black;
symbol2 v=none i=rl0 c=black;


axis1 label=none order=(0 to 130 by 10) ;
axis2 label=none order=(0 to 40 by 10) c=black;
filename gsasfile "d:\pm naaqs\summer03\scatter mean v &stat f.gif";
proc gplot data=fine;
plot (stat annmean) * annmean / overlay
/*vref=(65)*/
href=(15)
lvref=(3)
lhref=(3)
vaxis=axis1
haxis=axis2;
run;
quit;


axis1 label=none order=(0 to 200 by 50) ;
axis2 label=none order=(-10 to 70 by 10) c=black;
filename gsasfile "d:\pm naaqs\summer03\scatter mean v &stat c.gif";
proc gplot data=coarse;
plot (stat annmean) * annmean / overlay
lvref=3
lhref=3
href=(0)
vref=(25 50 75 100 125 150 175)
vaxis=axis1
haxis=axis2;
run;
quit;

proc sort data=coarse; by annmean; run;